#pragma once
#include <iomanip>
#include <iostream>
#include <fstream>
#include <string>
#include <sstream>
#include <cmath>
#include <cstdlib>
#include <gsl/gsl_spline.h>

#include "math/matrix.hh"
#include "commons.hh"
#include "xTableU.hh"

using namespace std;



namespace HELL {
namespace HELLdiff {


  extern double DeltaQQbarPairM2Yqt_Res         (double x, double as, int nf, xTableU *tU, double muFrat, void *pars=NULL);
  extern double DeltaQQbarPairM2Yqt_OrdAs2      (double x, double as, int nf, xTableU *tU, double muFrat, void *pars=NULL);
  extern double DeltaQQbarPairM2Yqt_ResAux      (double x, double as, int nf, xTableU *tU, double muFrat, void *pars=NULL);
  extern double DeltaQQbarPairM2Yqt_ResAux_OrdAs(double x, double as, int nf, xTableU *tU, double muFrat, void *pars=NULL);

  extern double DeltaQQbarPairM2Y_Res         (double x, double as, int nf, xTableU *tU, double muFrat, void *pars=NULL);
  extern double DeltaQQbarPairM2Y_Res_OrdAs2  (double x, double as, int nf, xTableU *tU, double muFrat, void *pars=NULL);
  extern double DeltaQQbarPairM2Y_ResAux      (double x, double as, int nf, xTableU *tU, double muFrat, void *pars=NULL);
  extern double DeltaQQbarPairM2Y_ResAux_OrdAs(double x, double as, int nf, xTableU *tU, double muFrat, void *pars=NULL);
  extern double DeltaQQbarPairM2Y_ResAuxPart2      (double x, double as, int nf, xTableU *tU, double muFrat, void *pars=NULL);
  extern double DeltaQQbarPairM2Y_ResAuxPart2_OrdAs(double x, double as, int nf, xTableU *tU, double muFrat, void *pars=NULL);
  extern double DeltaQQbarPairM2Y_LO             (double x, double as, int nf, xTableU *tU, double muFrat, void *pars=NULL);
  extern double DeltaQQbarPairM2Y_LO_qqbarchannel(double x, double as, int nf, xTableU *tU, double muFrat, void *pars=NULL);

  extern double DeltaQQbarSingleQuarkYqt_Res   (double x, double as, int nf, xTableU *tU, double muFrat, void *pars=NULL);
  extern double DeltaQQbarSingleQuarkYqt_ResAux(double x, double as, int nf, xTableU *tU, double muFrat, void *pars=NULL);
  extern double DeltaQQbarSingleQuarkYqt_ResAux_OrdAs(double x, double as, int nf, xTableU *tU, double muFrat, void *pars=NULL);

  extern double DeltaQQbarSingleQuarkY_Res     (double x, double as, int nf, xTableU *tU, double muFrat, void *pars=NULL);
  extern double DeltaQQbarSingleQuarkY_ResAux  (double x, double as, int nf, xTableU *tU, double muFrat, void *pars=NULL);

};
};

