#pragma once
#include <string>
#include <cmath>
#include <cstdlib>
#include "math/special_functions.hh"
#include "version.hh"


using namespace std;



namespace HELL {


  extern dcomplex gamma0sing(dcomplex N, double nf);
  extern dcomplex gamma1sing(dcomplex N, double nf);
  extern dcomplex gamma2sing(dcomplex N, double nf, bool var);


  //
  extern double P0(double x, int nf);
  extern double P0sq(double x, int nf);
  extern double P0cb(double x, int nf);
  extern double P1(double x, int nf);
  extern double P0P1(double x, int nf);
  extern double P2(double x, int nf, int var);


};

